Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Video
    • Overview
    • Control
    • Browser autoplay policy
  • Access management
  • Pricing policy
    • API authentication
    • Getting started with the API
      • Overview
        • Overview
        • Get
        • List
        • BatchGet
        • Create
        • Update
        • Delete
        • BatchDelete
        • PerformAction
        • GetStreamKey
        • UpdateStreamKey
  • Audit Trails events
  • Release notes
  • Troubleshooting

In this article:

  • HTTP request
  • Path parameters
  • Response
  • RTMPPushInput
  • RTMPPullInput
  • SRTPullInput
  • AutoLine
  1. API reference
  2. REST
  3. StreamLine
  4. Get

Video API, REST: StreamLine.Get

Written by
Yandex Cloud
Updated at July 8, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • RTMPPushInput
  • RTMPPullInput
  • SRTPullInput
  • AutoLine

Retrieves detailed information about a specific stream line by its ID.
Returns all stream line metadata, configuration, and related information.

HTTP requestHTTP request

GET https://video.api.cloud.yandex.net/video/v1/streamLines/{streamLineId}

Path parametersPath parameters

Field

Description

streamLineId

string

Required field. ID of the stream line to retrieve.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "channelId": "string",
  "title": "string",
  "inputSource": "string",
  // Includes only one of the fields `rtmpPush`, `rtmpPull`, `srtPull`
  "rtmpPush": {
    "url": "string"
  },
  "rtmpPull": {
    "url": "string",
    "backupUrl": "string"
  },
  "srtPull": {
    "url": "string",
    "backupUrl": "string"
  },
  // end of the list of possible fields
  // Includes only one of the fields `manualLine`, `autoLine`
  "manualLine": "object",
  "autoLine": {
    "status": "string"
  },
  // end of the list of possible fields
  "createdAt": "string",
  "updatedAt": "string",
  "labels": "object"
}

Entity representing the incoming video signal settings.

Field

Description

id

string

ID of the line.

channelId

string

ID of the channel to which this stream line belongs.

title

string

Title of the stream line.

inputSource

enum (LineInputSource)

Specifies which input source (main or backup) is selected for processing.

  • ANY: Use any available input source (main or backup).
  • MAIN: Use main input source.
  • BACKUP: Use backup input source (works only if backup input source is provided).

rtmpPush

RTMPPushInput

Real-Time Messaging Protocol (RTMP) push input type.

Includes only one of the fields rtmpPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

rtmpPull

RTMPPullInput

Real-Time Messaging Protocol (RTMP) pull input type.

Includes only one of the fields rtmpPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

srtPull

SRTPullInput

Secure Reliable Transport (SRT) pull input type.

Includes only one of the fields rtmpPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

manualLine

object

Manual stream control.

Includes only one of the fields manualLine, autoLine.

Specifies the control type of the stream line.

autoLine

AutoLine

Automatic stream control.

Includes only one of the fields manualLine, autoLine.

Specifies the control type of the stream line.

createdAt

string (date-time)

Timestamp when the stream line was initially created in the system.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Timestamp of the last modification to the stream line or its metadata.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

labels

object (map<string, string>)

Custom user-defined labels as key:value pairs.
Maximum 64 labels per stream line.
Labels can be used for organization, filtering, and metadata purposes.

RTMPPushInputRTMPPushInput

Settings for an RTMP (Real-Time Messaging Protocol) push input.
Used when the video stream is pushed to an RTMP server.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol

Field

Description

url

string

RTMP server url.

RTMPPullInputRTMPPullInput

Settings for an RTMP pull input.
Used when the service pulls the video stream from an RTMP source.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol

Field

Description

url

string

RTMP url for receiving video signal.

backupUrl

string

Backup RTMP url (optional).

SRTPullInputSRTPullInput

Settings for an SRT pull input.
Used when the service pulls the video stream from an SRT source.
@see https://en.wikipedia.org/wiki/Secure_Reliable_Transport

Field

Description

url

string

SRT url for receiving video signal.

backupUrl

string

Backup SRT url (optional).

AutoLineAutoLine

Represents an automatic line type where the stream control is handled automatically.

Field

Description

status

enum (AutoLineStatus)

The status of the automatic line.

  • DEACTIVATED: The automatic line is deactivated and not currently active.
  • ACTIVE: The automatic line is active and operational.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.